# Runnig tests

Before running all tests, there's the need of having a sqlsrv populated database and a mongodb containers up.

This Markdown file has the intention of bringing up both in the right order.

## Remove old containers

First of all, make sure the containers names are not in use.
```shell
docker rm -f sqlsrv mongo oracle
```

## Microsoft SQL Server

### Bringing up the SQLSRV container

```shell
docker run --name sqlsrv -it -e 'ACCEPT_EULA=Y' -e 'SA_PASSWORD=Zeedh1@ds123' -p 1433:1433 -v ~/workfolder/framework/tests/mocks/scripts/:/app/ -d mcr.microsoft.com/mssql/server:2017-latest-ubuntu
```

### Initalize Scripts

```shell
# This first script creates the tables and inserts the data.
docker exec -it sqlsrv /opt/mssql-tools/bin/sqlcmd -S 192.168.120.57,1433 -i /app/init-sqlsrv-db.sql -U sa -P Zeedh1@ds123

# This second script creates the max-salary procedure.
docker exec -it sqlsrv /opt/mssql-tools/bin/sqlcmd -S 192.168.120.57,1433 -d ZEEDHI_DEMO -i /app/create-sqlsrv-procedure-1.sql -U sa -P Zeedh1@ds123

# This second script creates the procedureTest procedure.
docker exec -it sqlsrv /opt/mssql-tools/bin/sqlcmd -S 192.168.120.57,1433 -d ZEEDHI_DEMO -i /app/create-sqlsrv-procedure-2.sql -U sa -P Zeedh1@ds123

# This second script creates the TESTE procedure.
docker exec -it sqlsrv /opt/mssql-tools/bin/sqlcmd -S 192.168.120.57,1433 -d ZEEDHI_DEMO -i /app/create-sqlsrv-procedure-2.sql -U sa -P Zeedh1@ds123
```

## Mongo noSQL Database

### Bringing up the MongoDB container

```shell
docker run --name mongo -it -p 27019:27017 mongo
```